Page MenuHomePhabricator

Create first draft of a custom workbench editor
Closed, ResolvedPublic

Description

Create a basic custom workbench editor with multiple render windows that can be dynamically added and removed.
This is the basis to further work on the "single render window" issues mentioned in T23763

For a first minimal working version we should include:

  • show different images in render windows separately
  • change the view plane of each render window individually

Event Timeline

kalali created this task.Nov 17 2017, 12:32 PM
kalali renamed this task from Create new custom workbench editor to Create first draft of a custom workbench editor.Nov 20 2017, 1:23 PM
kalali reopened this task as Open.
kalali updated the task description. (Show Details)
kalali claimed this task.Nov 21 2017, 1:54 PM
kalali raised the priority of this task from Wishlist to Normal.Dec 6 2017, 1:23 PM
kalali updated the task description. (Show Details)Feb 6 2018, 10:57 AM
kalali added a comment.EditedApr 26 2018, 10:00 AM

Minimal requirements: T24186

  • allow to show different images in individual render windows
    • arbitrary render window layout can be predefined
    • render window manager can be used to set render window specific visibility
  • view plane can be changed for each render window
  • view plane can be coupled so that each render window looks from the same direction
  • render window navigation can be coupled
  • crosshair that is synchronized for all render windows
  • level window can be adjusted by the PACS mode
  • render window display names for the render window manager (to select the correct render window)

First draft has been proven to be working (also with RenderWindowManager, see T25603) and merged into T23758. This task will be closed now and other subtasks will be created from the meta task.

kalali closed this task as Resolved.Nov 16 2018, 5:44 PM